using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid_Hospitals.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid_Hospitals_NeedDataSource);
        RadGrid_Hospitals.ItemCreated += new GridItemEventHandler(RadGrid_Hospitals_ItemCreated);
    }

    void RadGrid_Hospitals_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridCommandItem)
        {
            GridCommandItem item = e.Item as GridCommandItem;
            RadToolBar toolbar = item.FindControl("RadToolBar_HospitalCMD") as RadToolBar;
            hdn_Hosp.Value = toolbar.UniqueID;
            toolbar.ButtonClick += new RadToolBarEventHandler(toolbar_ButtonClick);
        }
    }

    void toolbar_ButtonClick(object sender, RadToolBarEventArgs e)
    {
        
    }

    void RadGrid_Hospitals_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("Item");
        table.Columns.Add("Date", typeof(DateTime));
        for (int i = 1; i < 8; i++)
        {
            table.Rows.Add(i, "Item" + i.ToString(), DateTime.Now.AddDays(i));
        }
        RadGrid_Hospitals.DataSource = table;
    }
}
